// chapitre 5 chaînes.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <algorithm>
#include <iostream>
#include <string>
using namespace std;

int main(int argc, char* argv[])
{
	string a="bonjour";
	const char*d=a.data();
	a[0]='B';
	char c=d[0];	// erreur, toujours la valeur 'b'

	const char*b=a.c_str();
	int l_a=strlen(b);

	char*t=new char[a.length()+1];	// 0 terminal
	a.copy(t,a.length());
	t[a.length()]=0;	// 0 terminal
	// ...
	delete t;

	string s="Bonjour la STL";
	cout << s[0] << ' ' << s[1] << ' ' << s[s.length()-1] << endl;

	string m;
	m='a';		// initialiser m à partir de 'a'
	m="Bonjour"; // initialise m à partir de char*
	m=s;
	m=65L;		// erreur de sémantique			

	string::iterator p=find(s.begin(),s.end(),'n');
	if(p==s.end())
		cout << "Il n'existe pas de caractère 'n' dans s" << endl;
	else	
		cout << "Le caractère 'n' se trouve dans la chaîne : " << *p;	
	return 0;
}

